Generate InvoiceLineItems for an Invoice for a Company
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/invoices/{invoice-id}/invoice_line_items/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rate_value": 123,
"rate_type": "RatePerHour"
}
'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/invoices/{invoice-id}/invoice_line_items/generate"
payload = {
"rate_value": 123,
"rate_type": "RatePerHour"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rate_value: 123, rate_type: 'RatePerHour'})
};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/invoices/{invoice-id}/invoice_line_items/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"quantity": "<string>",
"delivered_quantity": "<string>",
"rate": "<string>",
"rate_type": "RatePerHour",
"total_amount": "<string>",
"pay_start_time": "2023-11-07T05:31:56Z",
"pay_end_time": "2023-11-07T05:31:56Z",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"line_item_type": "InvoiceLineItem",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Invoices
Generate InvoiceLineItems for an Invoice for a Company
Generate InvoiceLineItems for an Invoice for a Company
This endpoint only generates the InvoiceLineItems based on the inputs and does not store any data on the backend
POST
/
v1
/
companies
/
{company-id}
/
invoices
/
{invoice-id}
/
invoice_line_items
/
generate
Generate InvoiceLineItems for an Invoice for a Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I